Name:           pixie
Version:        2.1.1
Release:        1%{?dist}
Summary:        3D renderer Renderman compliant

Group:          Applications/Multimedia
License:        LGPL
URL:            http://www.cs.utexas.edu/~okan/Pixie/pixie.htm
Source0:        http://puzzle.dl.sourceforge.net/sourceforge/pixie/Pixie-src-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fltk-devel
BuildRequires:  bison
BuildRequires:  OpenEXR-devel
BuildRequires:  doxygen
BuildRequires:  libX11-devel
BuildRequires:  libICE-devel
BuildRequires:  libtiff-devel

%description
Pixie is a RenderMan like photorealistic renderer.
It is being developed in the hope that it will be
useful for graphics research and for people who
can not afford a commercial renderer.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n Pixie
#for i in $(find . -name "Makefile.in"); do
# sed -i.rpath -e 's|-rpath|-shared|g' $i
#done

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --program-prefix=%{name}_ \
  --disable-static \
  --enable-shared \
  --disable-static-fltk \
  --enable-openexr-threads \
  --with-x

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p __doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/Pixie/* __doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/Pixie


%clean
rm -rf $RPM_BUILD_ROOT __doc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc __doc/*
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/Pixie
%{_libdir}/Pixie/displays/
%{_libdir}/Pixie/modules/
%{_mandir}/man1/*.gz
%dir %{_datadir}/Pixie
%dir %{_datadir}/Pixie/shaders
%{_datadir}/Pixie/shaders/*.sdr
%{_datadir}/Pixie/shaders/*.sl


%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Mon May 21 2007 kwizart < kwizart at gmail.com > - 2.1.1-1
- Initial spec file for Fedora
